PTLib Version 2.12.9

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
PSTUNUDPSocket Member List

This is the complete list of members for PSTUNUDPSocket, including all inherited members.

BaseReadFrom(void *buf, PINDEX len, PIPSocketAddressAndPort &ap) | PSTUNUDPSocket | inline
BaseWriteTo(const void *buf, PINDEX len, const PIPSocketAddressAndPort &ap) | PSTUNUDPSocket | inline
GetCandidateInfo() | PSTUNUDPSocket |
InternalGetBaseAddress(PIPSocketAddressAndPort &addr) | PSTUNUDPSocket | protected
InternalGetLocalAddress(PIPSocketAddressAndPort &addr) | PSTUNUDPSocket | protected
m_baseAddressAndPort | PSTUNUDPSocket | protected
m_serverReflexiveAddress | PSTUNUDPSocket | protected
OpenSTUN(PSTUNClient &client) | PSTUNUDPSocket |
PSTUNUDPSocket() | PSTUNUDPSocket |